INNDF(8)

NAME
inndf - Report free disk, inodes, and overview information

SYNOPSIS
inndf [-Fhi] [-f filename] directory [directory ...]

inndf -n

inndf -o

DESCRIPTION
inndf was originally a replacement for "df | awk" in innwatch.ctl(5) and innstat(8), and now also reports various other usage information about INN's storage that df(1) doesn't understand. inndf doesn't sync, forks less, and is generally less complicated than df(1).

Its default behavior is to report free kilobytes (not disk blocks), or free inodes if -i is used, in the file systems holding the directories given on the command line. (A kilobyte in this case is 1024 bytes.) If only one directory is given, the output will be a simple number; if more than one directory is given, the output will be formatted for human readability.

If enableoverview is set to true in inn.conf, inndf can also be used to get information about the overview database. With the -n option, it reports a count of the total number of overview records stored. With -o, it reports the percentage of space used in the overview database (for those overview methods where this is meaningful data).

OPTIONS

-f filename
    filename should contain a list of directories to use in addition to those given by the arguments, one per line. Blank lines and anything after "#" on any line are ignored.

-F  Like -f execpt that the filename is pathetc/filesystems and it is not an error if this file doesn't exist. (This option is used primarily by such things as innstat(8), so that the news administrator can add additional file systems to check to pathetc/filesystems without having to modify the script.)

-h  Print a usage message and exit.

-i  Report the number of free inodes rather than the amount of free disk space.

-n  Report the total number of records in the overview database. Note that crossposted articles will have one overview record for each newsgroup they're posted to.

-o  Report the percentage usage of the overview database space. This is only meaningful for overview methods that pre-allocate a certain amount of space rather than grow to accomodate more records. Currently, this flag is only useful for the buffindexed overview method.

EXAMPLES
Print the free kilobytes in /news/spool as a simple number:

    inndf /news/spool

Report the free inodes in /usr/local/news and /news/spool in a format designed for human readability:

    inndf -i /usr/local/news /news/spool

The same, but also add in all file systems in pathetc/filesystems:

    inndf -i -F /usr/local/news /news/spool

Print out the number of overview records and the percentage space used by a buffindexed overview database:

    inndf -no

HISTORY
inndf was written by Ian Dickinson <idickins@fore.com>. This manual page was written by Swa Frantzen <Swa.Frantzen@belgium.eu.net>. Thanks also to the following folks for ports, patches, and comments:

    Mahesh Ramachandran <rr@eel.ufl.edu>
    Chuck Swiger <chuck@its.com>
    Sang-yong Suh <sysuh@kigam.re.kr>
    Brad Dickey <bdickey@haverford.edu>
    Taso N. Devetzis <devetzis@snet.net>
    Wei-Yeh Lee <weiyeh@columbia.edu>
    Jeff Garzik <jeff.garzik@spinne.com>

and to all the other folks I met and worked with during my 10 years as a newsadmin.

Katsuhiro Kondou added the -n and -o options. Russ Allbery added reporting of percentage free disk space. Support for -f and -F was added by Fabien Tassin <fta@sofaraway.org>.

SEE ALSO
df(1), innwatch.ctl(5), innstat(8).